package ast;
public class ENUMIDDECL extends DECLARATION {
   public EXPRESSION expr;           // Child, the constant expression

   public ENUMIDDECL (String name, EXPRESSION expr, int position) {
       super(name, position);
       this.expr = expr;
       this.position = position;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<ENUMIDDECL " + 
                  "ident=\"" + ident + "\" " +
                  "pos=\"" + position + "\"/>\n";
       s += expr.toString(indent+1);
       s += blanks(indent) + "</ENUMIDDECL>\n";
       return s;
   }
}


