package ast;
public class STATEMENT extends AST {
   public sym.ProcedureSy currentProc;    // Synthesized. The current procedure.
   public sym.Env env;            // Inherited Attribute. The environment.
   public sym.Label _true;           // Inherited           
   public sym.Label _false;          // Inherited           
   public sym.Label parentNext;     // Inherited           
   public sym.Label label;          // Synthesized           
   public sym.Label begin;          // Synthesized
   public boolean isInLoop;       // Synthesized
   public sym.Label currentLoopExit;// Synthesized
   public sym.SyTab declsIn;        // Inherited. The symbol table built so far.
   public sym.SyTab declsOut;       // Synthesized. The completed symbol table.
   public int offsetIn;       // Inherited. The local variable offset so far.
   public int offsetOut;      // Synthesized. The total local variable size.
   public sym.Label next;            // Synthesized

    public STATEMENT() {
       super(-1);
       this.label = new sym.Label();
    }

    public STATEMENT(int position) {
       super(position);
       this.label = new sym.Label();
    }
}

