package tree;
public class IndexOf extends Designator {
   public Designator base;          // Child
   public Expression index;         // Child
   public sym.ArrayType array;

   public IndexOf(sym.ArrayType array, sym.TypeSy type, Designator base, Expression index, int position) {
       super(type, position);
       this.base = base; this.index = index; this.array = array;
   }

   public String toString(int indent) {
        return toString(indent, this, 
                        new Tree[]{base,index}, 
                        new String[]{"array","type"}, new sym.Symbol[]{array,type},
                        new String[]{}, new String[]{}, 
                        position);
   }
}
